Subject: Re: bug#25665: 26.0.50; [PATCH] Indicate prefix arg in minibuffer prompt for shell-command

From: Chunyang Xu <[email-masked]>
Date: Fri, 10 Feb 2017 12:23:54 +0800

Eli Zaretskii writes:

>> From: Tino Calancha <[email-masked]>
>> Date: Fri, 10 Feb 2017 01:53:56 +0900
>> Cc: [email-masked], [email-masked]
>>
>> I am not sure about this.
>> The meaning of the prefix argument must be explained in the docstring.
>> That and the manual are the source of documentation, not the prompt.
>>
>> Having a short prompt is also good because there are more space
>> in the line for the command; a short prompt is also better while tipying
>> a long command: sometimes you want to change something at the beginning:
>> < ; `beginning-of-buffer'
>> Now you need to `C-f' several times to jump out of the prompt.  The more
>> verbose prompt, the more `C-f' you need.
>>
>> Just my opinion.  Let's see what other people think.
>
> I think it goes against Emacs conventions.  We have quite a few
> commands that insert output into the current buffer when invoked with
> an argument.

but many of these commands don't have a minibuffer prompt, such as
'C-x C-e', so we don't need to worry about them.

I just notice that 'C-u C-s' ('isearch-forward') is also showing the
meaning of prefix argument in the minibuffer prompt:

C-s       I-search:
C-u C-s   Regexp I-search:

(of course you can think it is trying to use the same prompt as 'C-M-s')